关于设计,生活和电子的二三事

Ubuntu14.04LTS安装CCS

最近好多小伙伴要在Ubuntu下安装CCS,但好多都失败了,安装好之后编译工程出错,所以我也尝试了一下在Ubuntu14.04LTS下安装CCS6.1.3,记录过程如下
首先下载CCS的安装包,在http://processors.wiki.ti.com/index.php/Download_CCS可以下载到离线安装包,把下载的安装包放到某个目录下,解压
然后,CCS在Ubuntu14.04下需要这些组件:
libc6:i386 libx11-6:i386 libasound2:i386 libatk1.0-0:i386 libcairo2:i386 libcups2:i386 libdbus-glib-1-2:i386 libgconf-2-4:i386 libgcrypt11:i386 libgdk-pixbuf2.0-0:i386 libgtk-3-0:i386 libice6:i386 libncurses5:i386 libsm6:i386 liborbit2:i386 libudev1:i386 libusb-0.1-4:i386 libstdc++6:i386 libxt6:i386 libxtst6:i386 libgnomeui-0:i386 libusb-1.0-0-dev:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386 unzip
Grace还需要这些组件:
libnss3:i386 libnss3-1d:i386 libnss3-nssdb:i386
首先执行:
sudo apt-get update
然后执行:
sudo apt-get install libc6:i386 libx11-6:i386 libasound2:i386 libatk1.0-0:i386 libcairo2:i386 libcups2:i386 libdbus-glib-1-2:i386 libgconf-2-4:i386 libgcrypt11:i386 libgdk-pixbuf2.0-0:i386 libgtk-3-0:i386 libice6:i386 libncurses5:i386 libsm6:i386 liborbit2:i386 libudev1:i386 libusb-0.1-4:i386 libstdc++6:i386 libxt6:i386 libxtst6:i386 libgnomeui-0:i386 libusb-1.0-0-dev:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386 unzip

sudo apt-get install libnss3:i386 libnss3-1d:i386 libnss3-nssdb:i386
等待安装完成。
然后进入CCS解压的目录,运行:
./ccs_setup_6.x.x.xxxxx.bin
将xxxx替换为下载的软件版本号,比如我下载的是6.1.3.00034,就把xxxx替换为6.1.3.00034,然后回车,稍等一会会出现和Windows一样的安装界面。

在几个界面之后会提示有些开发板在Ubuntu14.04LTS下不被支持,直接下一步就行

在开始安装之前的最后一步可以选择安装可选组件,对于MSP430芯片,建议安装MSPWare。之后的安装过程和在Windows下一样,然后就是等待安装完成。
CCS安装完成之后,需要用root权限安装仿真器驱动。进入安装目录下的/ccsv6/install_scripts,然后运行:
sudo ./install_drivers.sh
安装完成之后建议重启之后再运行。运行:
sudo reboot
重启

然后就能运行CCS了,到此安装过程完成。

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据